Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets.jsp.taglib
Class DivTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.bea.p13n.servlets.jsp.BodyTagSupport
                  com.bea.p13n.servlets.jsp.taglib.DivTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class DivTag

extends BodyTagSupport

The tag handler of the personalization jsp extension tag 'div'. The div tag allows user supplied content (not in a DMS) to be turned off based on rules.

See Also
  Serialized Form

Field Summary
`protected String` | `id` To store the value of id attribute.
`protected String` | `rule` The rule in the rule set that determines whether the content should be displayed.

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DivTag()`

Method Summary
`int` | `doAfterBody()` Processes after body.
`void` | `doInitBody()` Processes before body.
`int` | `doStartTag()` Processes the start tag.
`String` | `getId()` The id to assign the results to.
`protected AdviceRequest` | `getRequest()` Returns a Classification AdviceRequest object after populating the following fields The current HTTP Request The current HTTP Session The current User A new TimeInstant A new Time A new Date A RULES_RULENAME_TO_FIRE A RULES_FILTER_CLASS_NAME
`String` | `getRule()` Get name of the selector rule in the rule set.
`protected boolean` | `includeBody()` Runs the advisor to determine the classification.
`void` | `release()`
`void` | `setId(String anId)` The id to assign the results to.
`void` | `setRule(String aSelector)` Set name of the selector rule in the rule set.

Methods inherited from class com.bea.p13n.servlets.jsp.BodyTagSupport
`createAdviceRequest, createAdvisor`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### rule

    protected String rule

  The rule in the rule set that determines whether the content should be displayed.

### id

    protected String id

  To store the value of id attribute.

Constructor Detail

### DivTag

    public DivTag()

Method Detail

### setRule

    public void setRule(String aSelector)

  Set name of the selector rule in the rule set.

### getRule

    public String getRule()

  Get name of the selector rule in the rule set.

### setId

    public void setId(String anId)

  The id to assign the results to.

  Overrides:
    `setId` in class `javax.servlet.jsp.tagext.TagSupport`

### getId

    public String getId()

  The id to assign the results to.

  Overrides:
    `getId` in class `javax.servlet.jsp.tagext.TagSupport`

### includeBody

    protected boolean includeBody()
                           throws JspException

  Runs the advisor to determine the classification.

  Returns
    True if the advisor indicates the classification is made.
  Throws
    `JspException`

### getRequest

    protected AdviceRequest getRequest()
                                throws JspException

  Returns a Classification AdviceRequest object after populating the following fields
  - The current HTTP Request
  - The current HTTP Session
  - The current User
  - A new TimeInstant
  - A new Time
  - A new Date
  - A RULES_RULENAME_TO_FIRE
  - A RULES_FILTER_CLASS_NAME

  Returns
    A Classification AdviceRequest.
  Throws
    `JspTagException` - If there is a problem creating the request.
    `JspException`

### doStartTag

    public int doStartTag()
                   throws JspException

  Processes the start tag.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws
    `JspException`

### doInitBody

    public void doInitBody()
                    throws JspException

  Processes before body.

  Specified by:
    `doInitBody` in interface `javax.servlet.jsp.tagext.BodyTag`
  Overrides:
    `doInitBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws
    `JspException`

### doAfterBody

    public int doAfterBody()
                    throws JspException

  Processes after body. Only done if the classifier rule evaluates to true.

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
  Overrides:
    `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws
    `JspException`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.